Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Failed to emerge dev-python/utidylib-0.3 [SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
Xywa
Veteran
Veteran


Joined: 23 Jul 2005
Posts: 1583
Location: /mnt/Gentoo/Europe

PostPosted: Wed Nov 29, 2017 10:57 am    Post subject: Failed to emerge dev-python/utidylib-0.3 [SOLVED] Reply with quote

Hi during a typical emerge -uDN world, I had an error for utidylib. After that I cannot resume it by emerge --resume --skip-first. Could you see it bellow, please.

Code:
>>> Source configured.
>>> Compiling source in /mnt/twardy/tmp/portage/dev-python/utidylib-0.3/work/uTidylib-0.3 ...
 * python2_7: running distutils-r1_run_phase distutils-r1_python_compile
/usr/bin/python2.7 setup.py build
running build
running build_py
creating /mnt/twardy/tmp/portage/dev-python/utidylib-0.3/work/uTidylib-0.3-python2_7/lib/tidy
copying tidy/error.py -> /mnt/twardy/tmp/portage/dev-python/utidylib-0.3/work/uTidylib-0.3-python2_7/lib/tidy
copying tidy/__init__.py -> /mnt/twardy/tmp/portage/dev-python/utidylib-0.3/work/uTidylib-0.3-python2_7/lib/tidy
copying tidy/test_tidy.py -> /mnt/twardy/tmp/portage/dev-python/utidylib-0.3/work/uTidylib-0.3-python2_7/lib/tidy
copying tidy/lib.py -> /mnt/twardy/tmp/portage/dev-python/utidylib-0.3/work/uTidylib-0.3-python2_7/lib/tidy
creating /mnt/twardy/tmp/portage/dev-python/utidylib-0.3/work/uTidylib-0.3-python2_7/lib/tidy/test_data
copying tidy/test_data/test.html -> /mnt/twardy/tmp/portage/dev-python/utidylib-0.3/work/uTidylib-0.3-python2_7/lib/tidy/test_data
warning: build_py: byte-compiling is disabled, skipping.

 * python3_5: running distutils-r1_run_phase distutils-r1_python_compile
/usr/bin/python3.5 setup.py build
Traceback (most recent call last):
  File "setup.py", line 5, in <module>
    from setuptools import setup
ImportError: No module named 'setuptools'
 * ERROR: dev-python/utidylib-0.3::gentoo failed (compile phase):
 *   (no error message)
 *
 * Call stack:
 *     ebuild.sh, line  124:  Called src_compile
 *   environment, line 2690:  Called distutils-r1_src_compile
 *   environment, line  811:  Called _distutils-r1_run_foreach_impl 'distutils-r1_python_compile'
 *   environment, line  326:  Called python_foreach_impl 'distutils-r1_run_phase' 'distutils-r1_python_compile'
 *   environment, line 2225:  Called multibuild_foreach_variant '_python_multibuild_wrapper' 'distutils-r1_run_phase' 'distutils-r1_python_compile'
 *   environment, line 1525:  Called _multibuild_run '_python_multibuild_wrapper' 'distutils-r1_run_phase' 'distutils-r1_python_compile'
 *   environment, line 1523:  Called _python_multibuild_wrapper 'distutils-r1_run_phase' 'distutils-r1_python_compile'
 *   environment, line  541:  Called distutils-r1_run_phase 'distutils-r1_python_compile'
 *   environment, line  802:  Called distutils-r1_python_compile
 *   environment, line  677:  Called esetup.py 'build'
 *   environment, line 1070:  Called die
 * The specific snippet of code:
 *       "${@}" || die "${die_args[@]}";
 *
 * If you need support, post the output of `emerge --info '=dev-python/utidylib-0.3::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-python/utidylib-0.3::gentoo'`.
 * The complete build log is located at '/mnt/twardy/tmp/portage/dev-python/utidylib-0.3/temp/build.log'.
 * The ebuild environment file is located at '/mnt/twardy/tmp/portage/dev-python/utidylib-0.3/temp/environment'.
 * Working directory: '/mnt/twardy/tmp/portage/dev-python/utidylib-0.3/work/uTidylib-0.3'
 * S: '/mnt/twardy/tmp/portage/dev-python/utidylib-0.3/work/uTidylib-0.3'


Code:
# emerge --resume --skip-first
Calculating dependencies... done!
[ebuild   R    ] virtual/python-ipaddress-1.0-r1  PYTHON_TARGETS="python3_5* -python3_4* (-python3_6)"
[ebuild   R    ] dev-python/setuptools-34.0.2-r1  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/certifi-2017.4.17  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/pyxattr-0.5.5  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/idna-2.5  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/pillow-3.4.2-r1  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/pygments-2.1.1  PYTHON_TARGETS="python3_5* -python3_4* (-python3_6)"
[ebuild   R    ] dev-python/chardet-3.0.4  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/numpy-1.10.4  PYTHON_TARGETS="python3_5* -python3_4* (-python3_6)"
[ebuild   R    ] dev-python/pyasn1-0.2.3  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/asn1crypto-0.22.0  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/ply-3.9 [3.9] PYTHON_TARGETS="python3_5* -python3_4* (-python3_6)"
[ebuild   R    ] dev-python/PySocks-1.6.7  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/pytz-2017.2  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/html5lib-0.9999999  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/isodate-0.5.4  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/bsddb3-6.1.1  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/urwid-1.3.1  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] sys-apps/portage-2.3.13-r1  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/pycparser-2.14  PYTHON_TARGETS="python3_5* -python3_4* (-python3_6)"
[ebuild   R    ] dev-python/reportlab-3.3.0-r1  PYTHON_TARGETS="python3_5* -python3_4* (-python3_6)"
[ebuild   R    ] dev-python/rdflib-4.2.1  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/docutils-0.13.1  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/Babel-2.5.0  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] app-portage/gentoolkit-0.4.0  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-java/java-config-2.2.0-r3  PYTHON_TARGETS="python3_5* -python3_4* (-python3_6)"
[ebuild   R    ] dev-util/gdbus-codegen-2.50.3  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-libs/libxml2-2.9.4-r3  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] sys-apps/kmod-23  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/cffi-1.9.1  PYTHON_TARGETS="python3_5* -python3_4* (-python3_6)"
[ebuild   R    ] x11-proto/xcb-proto-1.12-r2  PYTHON_TARGETS="python3_5* -python3_4* (-python3_6)"
[ebuild   R    ] dev-python/cryptography-2.0.2-r1  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/pyopenssl-17.2.0  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/lxml-3.8.0  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] sys-devel/gdb-7.12.1  PYTHON_SINGLE_TARGET="python3_5* -python3_4*" PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-libs/libpwquality-1.3.0  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/ndg-httpsclient-0.4.0  PYTHON_TARGETS="python3_5* -python3_4* (-python3_6)"
[ebuild   R    ] dev-python/urllib3-1.22  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] media-libs/lv2-1.14.0  PYTHON_SINGLE_TARGET="python3_5* -python3_4*" PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/requests-2.18.2-r1  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/ssl-fetch-0.4  PYTHON_TARGETS="python3_5* -python3_4* (-python3_6)"
[ebuild   R    ] app-portage/mirrorselect-2.2.3  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] kde-frameworks/ki18n-5.37.0  PYTHON_SINGLE_TARGET="python3_5* -python3_4*" PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-libs/gobject-introspection-1.50.0  PYTHON_SINGLE_TARGET="python3_5* -python3_4*" PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/pycairo-1.15.3  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/pygobject-3.22.0  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] net-libs/libsignon-glib-1.13-r1  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/dbus-python-1.2.4  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/pycups-1.9.73-r1  PYTHON_TARGETS="python3_5* -python3_4* (-python3_6)"
[ebuild   R    ] dev-python/PyQt5-5.7.1  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] sys-apps/util-linux-2.30.2  PYTHON_SINGLE_TARGET="python3_5* -python3_4*" PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild     U ~] x11-drivers/nvidia-drivers-387.34 [387.22]
[ebuild   R    ] app-crypt/gpgme-1.8.0-r3  PYTHON_TARGETS="python3_5* -python3_4* (-python3_6)"
[ebuild   R    ] app-portage/layman-2.4.2  PYTHON_TARGETS="python3_5* -python3_4* (-python3_6)"
[ebuild     U ~] www-client/opera-beta-50.0.2762.18 [50.0.2762.14]
[ebuild     U  ] sys-apps/openrc-0.34.10 [0.34.9]
[ebuild     U ~] net-print/hplip-3.17.10-r1 [3.17.9-r1] PYTHON_SINGLE_TARGET="python3_5* -python3_4*" PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild     U ~] net-print/hplip-plugin-3.17.10 [3.17.9]
[ebuild   R    ] app-office/libreoffice-bin-5.4.2.2  PYTHON_SINGLE_TARGET="python3_5* -python3_4*" PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R   ~] media-libs/opencv-3.2.0-r3  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R   ~] media-video/mpv-0.27.0  PYTHON_TARGETS="python3_5* -python3_4*"

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-python/pygobject:3

  (dev-python/pygobject-3.22.0:3/3::gentoo, ebuild scheduled for merge) pulled in by
    dev-python/pygobject:3[python_targets_python3_5(-),python_single_target_python3_5(+)] required by (net-misc/networkmanager-1.8.4:0/0::gentoo, installed)
                                                                                                                                                                             
    dev-python/pygobject:3[python_targets_python3_4(-)?,python_single_target_python3_4(+)?,
python_targets_python3_5(-)?,python_single_target_python3_5(+)?, python_targets_python3_6(-)?,python_single_target_python3_6(+)?] required by (net-print/hplip-3.17.10-r1:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                             

  (dev-python/pygobject-3.22.0:3/3::gentoo, installed) pulled in by
    dev-python/pygobject:3[python_targets_python3_4(-)?,python_targets_python3_5(-)?,-python_single_target_python3_4(-), -python_single_target_python3_5(-)] required by (media-video/gaupol-0.91:0/0::gentoo, installed)
                                                                                                                                                                                                                                         

dev-python/setuptools:0

  (dev-python/setuptools-34.0.2-r1:0/0::gentoo, ebuild scheduled for merge) pulled in by
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/pycparser-2.14:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
    dev-python/setuptools[python_targets_python2_7(-)?,python_targets_python3_4(-)?,
python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/urwid-1.3.1:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                       
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/requests-2.18.2-r1:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/html5lib-0.9999999:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/cryptography-2.0.2-r1:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
    dev-python/setuptools[python_targets_python2_7(-)?,python_targets_python3_4(-)?,
python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/lxml-3.8.0:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                       
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,
python_targets_python3_5(-)?,python_targets_python3_6(-)?, -python_single_target_pypy(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/isodate-0.5.4:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                               
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/urllib3-1.22:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/pytz-2017.2:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/PySocks-1.6.7:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/asn1crypto-0.22.0:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/ply-3.9:0/3.9::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/idna-2.5:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
    >=dev-python/setuptools-1.0[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/cryptography-2.0.2-r1:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
    dev-python/setuptools[python_targets_python2_7(-)?,python_targets_python3_4(-)?,
python_targets_python3_5(-)?,python_targets_python3_6(-)?, -python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/numpy-1.10.4:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                         
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/certifi-2017.4.17:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,
python_targets_python3_5(-)?,python_targets_python3_6(-)?, -python_single_target_pypy(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-), -python_single_target_python3_6(-)] required by (dev-python/pillow-3.4.2-r1:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                 
    dev-python/setuptools[python_targets_python2_7(-)?,python_targets_python3_4(-)?,
python_targets_python3_5(-)?,-python_single_target_python2_7(-), -python_single_target_python3_4(-), -python_single_target_python3_5(-)] required by (dev-python/bsddb3-6.1.1:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                         
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/pyasn1-0.2.3:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    dev-python/setuptools[python_targets_python2_7(-)?,python_targets_python3_4(-)?,
python_targets_python3_5(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-)] required by (dev-python/rdflib-4.2.1:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                         
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/ndg-httpsclient-0.4.0:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/pygments-2.1.1:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,
python_targets_python3_5(-)?, -python_single_target_pypy(-),-python_single_target_python2_7(-),
-python_single_target_python3_4(-), -python_single_target_python3_5(-)] required by (dev-python/pyxattr-0.5.5:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                               
    >=dev-python/setuptools-2.2[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,
python_targets_python3_6(-)?, -python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/reportlab-3.3.0-r1:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                     
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/Babel-2.5.0:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/chardet-3.0.4:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       

  (dev-python/setuptools-34.0.2-r1:0/0::gentoo, installed) pulled in by
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/certifi-2017.4.17:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/chardet-3.0.4:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,
python_targets_python3_5(-)?,python_targets_python3_6(-)?, -python_single_target_pypy(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-), -python_single_target_python3_6(-)] required by (dev-python/diff-match-patch-20121119:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                                                                           
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,
python_targets_python3_5(-)?,python_targets_python3_6(-)?, -python_single_target_pypy(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-), -python_single_target_python3_6(-)] required by (dev-python/vobject-0.9.3:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                                                               
    dev-python/setuptools[python_targets_python2_7(-)?,python_targets_python3_4(-)?,
python_targets_python3_5(-)?,python_targets_python3_6(-)?, -python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/lxml-3.8.0:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                     
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,
python_targets_python3_5(-)?,python_targets_python3_6(-)?, -python_single_target_pypy(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-), -python_single_target_python3_6(-)] required by (dev-python/pyenchant-1.6.6:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                                                                 
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/python-dateutil-2.6.1:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,
python_targets_python3_5(-)?,python_targets_python3_6(-)?, -python_single_target_pypy(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-), -python_single_target_python3_6(-)] required by (dev-python/python-levenshtein-0.12.0:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                                                                           

dev-python/certifi:0

  (dev-python/certifi-2017.4.17:0/0::gentoo, ebuild scheduled for merge) pulled in by
    dev-python/certifi[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/urllib3-1.22:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
    >=dev-python/certifi-2017.4.17[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/requests-2.18.2-r1:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
    >=dev-python/certifi-2016.9.26[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/setuptools-34.0.2-r1:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       

  (dev-python/certifi-2017.4.17:0/0::gentoo, installed) pulled in by
    >=dev-python/certifi-2016.9.26[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/setuptools-34.0.2-r1:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       

dev-python/lxml:0

  (dev-python/lxml-3.8.0:0/0::gentoo, ebuild scheduled for merge) pulled in by
    dev-python/lxml[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,
python_targets_python3_6(-)?, -python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),python_single_target_python2_7(+)?, python_single_target_python3_4(+)?,python_single_target_python3_5(+)?, python_single_target_python3_6(+)?] required by (media-libs/lv2-1.14.0:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 

  (dev-python/lxml-3.8.0:0/0::gentoo, installed) pulled in by
    >=dev-python/lxml-3.5[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,-python_single_target_python2_7(-), -python_single_target_python3_4(-), -python_single_target_python3_5(-)] required by (dev-python/translate-toolkit-2.0.0:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                   

dev-python/chardet:0

  (dev-python/chardet-3.0.4:0/0::gentoo, ebuild scheduled for merge) pulled in by
    >=dev-python/chardet-3.0.2[python_targets_pypy(-)?,python_targets_pypy3(-)?,
python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/requests-2.18.2-r1:0/0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 

  (dev-python/chardet-3.0.4:0/0::gentoo, installed) pulled in by
    dev-python/chardet[python_targets_python3_4(-)?,python_targets_python3_5(-)?,-python_single_target_python3_4(-), -python_single_target_python3_5(-)] required by (media-video/gaupol-0.91:0/0::gentoo, installed)
                                                                                                                                                                                                                                     
    >=dev-python/chardet-2.3.0[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,-python_single_target_python2_7(-), -python_single_target_python3_4(-), -python_single_target_python3_5(-)] required by (dev-python/translate-toolkit-2.0.0:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                       

dev-python/pycairo:0

  (dev-python/pycairo-1.15.3:0/0::gentoo, ebuild scheduled for merge) pulled in by
    >=dev-python/pycairo-1.10.0[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,
python_targets_python3_6(-)?, -python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/pygobject-3.22.0:3/3::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                                                                                                   

  (dev-python/pycairo-1.15.3:0/0::gentoo, installed) pulled in by
    >=dev-python/pycairo-1.10.0[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,
python_targets_python3_6(-)?, -python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/pygobject-3.22.0:3/3::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                                 


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


emerge: there are no ebuilds built with USE flags to satisfy ">=dev-python/six-1.5[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?, python_targets_python3_6(-)?,-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_4(-), -python_single_target_python3_5(-),-python_single_target_python3_6(-)]".
!!! One of the following packages is required to complete your request:
- dev-python/six-1.10.0::gentoo (Change USE: +python_targets_python3_4)
- dev-python/python-dateutil-2.6.1::gentoo (Change USE: -python_targets_python3_4)
(dependency required by "dev-python/python-dateutil-2.6.1::gentoo" [installed])
(dependency required by "dev-python/vobject-0.9.3::gentoo" [installed])
(dependency required by "dev-python/translate-toolkit-2.0.0::gentoo[ical]" [installed])
(dependency required by "kde-apps/lokalize-17.04.3::gentoo" [installed])
(dependency required by "kde-apps/kdesdk-meta-17.04.3::gentoo" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])


Mod edit: Added white space to allow long lines to wrap. --pjp


Last edited by Xywa on Thu Nov 30, 2017 2:01 pm; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21799
Location: here

PostPosted: Wed Nov 29, 2017 11:05 am    Post subject: Reply with quote

You can post your emerge --info?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Xywa
Veteran
Veteran


Joined: 23 Jul 2005
Posts: 1583
Location: /mnt/Gentoo/Europe

PostPosted: Wed Nov 29, 2017 11:30 am    Post subject: Reply with quote

fedeliallalinea wrote:
You can post your emerge --info?


Code:
# emerge --info
Portage 2.3.13 (python 3.4.5-final-0, default/linux/amd64/13.0/desktop/plasma, gcc-5.4.0, glibc-2.25-r9, 4.12.12-gentoo x86_64)
=================================================================
System uname: Linux-4.12.12-gentoo-x86_64-Intel-R-_Core-TM-_i5-2450M_CPU_@_2.50GHz-with-gentoo-2.4.1
KiB Mem:     8079828 total,   2220956 free
KiB Swap:    9484148 total,   9484148 free
Timestamp of repository gentoo: Wed, 29 Nov 2017 09:30:01 +0000
Head commit of repository gentoo: e7434ec7eeb4b4be5cd53cebba9576f940b076e9
Head commit of repository steam-overlay: 356032984149c3ca0bd0cceea6e00f973356d226

sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1
app-shells/bash:          4.3_p48-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.3::gentoo
dev-lang/python:          2.7.14::gentoo, 3.4.5::gentoo, 3.5.4::gentoo
dev-util/cmake:           3.8.2::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.9::gentoo
sys-apps/sandbox:         2.10-r4::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            5.4.0-r3::gentoo, 6.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.25-r9::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts:

steam-overlay
    location: /usr/local/steam-overlay
    sync-type: git
    sync-uri: https://github.com/anyc/steam-overlay/
    masters: gentoo

cg
    location: /var/lib/layman/cg
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://ftp.mirrorservice.org/sites/distfiles.gentoo.org/ ftp://mirror.bytemark.co.uk/gentoo/"
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/mnt/twardy/tmp"
USE="12bit X a52 aac acl acpi activities alsa amd64 berkdb bindist bluetooth branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cuda cups cxx cycles dbus declarative dri dts dvd dvdr emboss encode exif fam ffmpeg fftw firefox flac fortran freesound frei0r gdbm gif gpm gtk iconv ipv6 jpeg kde kipi kwallet ladspa lcms ldap libnotify libsamplerate mad mng modules mp3 mp4 mpeg multilib ncurses nls nptl nvenc ogg openal opencv opengl openimageio openmp pam pango pcre pdf phonon plasma png policykit ppds qml qt3support qt4 qt5 readline rtaudio scanner sdl seccomp semantic-desktop session spell ssl startup-notification svg tcpd theora tiff truetype udev udisks unicode upower usb uvm vaapi vdpau vorbis widgets wxwidgets x264 x265 xattr xcb xcomposite xml xscreensaver xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" L10N="pl en en-GB" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="pl en en_GB" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_5" PYTHON_TARGETS="python2_7 python3_5" RUBY_TARGETS="ruby22" SANE_BACKENDS="hp" USERLAND="GNU" VIDEO_CARDS="intel nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21799
Location: here

PostPosted: Wed Nov 29, 2017 1:41 pm    Post subject: Reply with quote

Try to update dev-python/setuptools as first
Code:
# emerge -ND dev-python/setuptools

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Xywa
Veteran
Veteran


Joined: 23 Jul 2005
Posts: 1583
Location: /mnt/Gentoo/Europe

PostPosted: Wed Nov 29, 2017 2:36 pm    Post subject: Reply with quote

fedeliallalinea wrote:
Try to update dev-python/setuptools as first
Code:
# emerge -ND dev-python/setuptools


I got this:
Code:
# emerge -ND dev-python/setuptools
Calculating dependencies... done!
[ebuild   R    ] dev-util/gdbus-codegen-2.50.3  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/setuptools-34.0.2-r1  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild     U ~] dev-python/certifi-2017.11.5 [2017.4.17] PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-python/pyxattr-0.5.5  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-libs/libxml2-2.9.4-r3  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] sys-apps/kmod-23  PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] x11-proto/xcb-proto-1.12-r2  PYTHON_TARGETS="python3_5* -python3_4* (-python3_6)"
[ebuild   R    ] kde-frameworks/ki18n-5.37.0  PYTHON_SINGLE_TARGET="python3_5* -python3_4*" PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] dev-libs/gobject-introspection-1.50.0  PYTHON_SINGLE_TARGET="python3_5* -python3_4*" PYTHON_TARGETS="python3_5* -python3_4*"
[ebuild   R    ] sys-apps/util-linux-2.30.2  PYTHON_SINGLE_TARGET="python3_5* -python3_4*" PYTHON_TARGETS="python3_5* -python3_4*"

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-python/setuptools:0

  (dev-python/setuptools-34.0.2-r1:0/0::gentoo, ebuild scheduled for merge) pulled in by
    dev-python/setuptools (Argument)
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,
python_targets_python3_5(-)?,-python_single_target_pypy(-),-python_single_target_python2_7(-),
-python_single_target_python3_4(-),-python_single_target_python3_5(-)] required by (dev-python/pyxattr-0.5.5:0/0::gentoo, ebuild scheduled for merge)

    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,
-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),
-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/certifi-2017.11.5:0/0::gentoo, ebuild scheduled for merge)


  (dev-python/setuptools-34.0.2-r1:0/0::gentoo, installed) pulled in by
    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,
-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),
-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/pytz-2017.2:0/0::gentoo, installed)

    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,
-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),
-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/Babel-2.5.0:0/0::gentoo, installed)

    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,
-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),
-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/chardet-3.0.4:0/0::gentoo, installed)

    dev-python/setuptools[python_targets_pypy(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,
python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_pypy(-),
-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),
-python_single_target_python3_6(-)] required by (dev-python/vobject-0.9.3:0/0::gentoo, installed)

    dev-python/setuptools[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,
python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),
-python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/numpy-1.10.4:0/0::gentoo, installed)

    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,
-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),
-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/cryptography-2.0.2-r1:0/0::gentoo, installed)

    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,
-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),
-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/pygments-2.1.1:0/0::gentoo, installed)

    dev-python/setuptools[python_targets_pypy(-)?,python_targets_python2_7(-)?,python_targets_python3_4(-)?,
python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_pypy(-),
-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),
-python_single_target_python3_6(-)] required by (dev-python/diff-match-patch-20121119:0/0::gentoo, installed)

    dev-python/setuptools[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,
-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),
-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/certifi-2017.4.17:0/0::gentoo, installed)


dev-python/certifi:0

  (dev-python/certifi-2017.11.5:0/0::gentoo, ebuild scheduled for merge) pulled in by
    >=dev-python/certifi-2016.9.26[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,
-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),
-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/setuptools-34.0.2-r1:0/0::gentoo, ebuild scheduled for merge)


  (dev-python/certifi-2017.4.17:0/0::gentoo, installed) pulled in by
    >=dev-python/certifi-2016.9.26[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,
-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),
-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/setuptools-34.0.2-r1:0/0::gentoo, installed)

    dev-python/certifi[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,
-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),
-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/urllib3-1.22:0/0::gentoo, installed)

    >=dev-python/certifi-2017.4.17[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,
-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),
-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)] required by (dev-python/requests-2.18.2-r1:0/0::gentoo, installed)



It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


The following keyword changes are necessary to proceed:
 (see "package.accept_keywords" in the portage(5) man page for more details)
# required by dev-python/setuptools-34.0.2-r1::gentoo
# required by dev-python/pyxattr-0.5.5::gentoo
# required by sys-apps/portage-2.3.13-r1::gentoo[xattr,python_targets_python2_7]
# required by virtual/package-manager-0::gentoo
# required by @system
# required by @world (argument)
=dev-python/certifi-2017.11.5 ~amd64

Use --autounmask-write to write changes to config files (honoring
CONFIG_PROTECT). Carefully examine the list of proposed changes,
paying special attention to mask or keyword changes that may expose
experimental or unstable packages.

 * In order to avoid wasting time, backtracking has terminated early
 * due to the above autounmask change(s). The --autounmask-backtrack=y
 * option can be used to force further backtracking, but there is no
 * guarantee that it will produce a solution.

emerge: there are no ebuilds built with USE flags to satisfy ">=dev-python/six-1.10.0[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,
-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),
-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]".
!!! One of the following packages is required to complete your request:
- dev-python/six-1.10.0::gentoo (Change USE: +python_targets_python3_4)
- dev-python/setuptools-34.0.2-r1::gentoo (Change USE: -python_targets_python3_4)
(dependency required by "dev-python/setuptools-34.0.2-r1::gentoo" [installed])
(dependency required by "dev-python/m2crypto-0.24.0::gentoo" [installed])
(dependency required by "net-wireless/crda-3.18-r1::gentoo" [installed])
(dependency required by "net-wireless/wpa_supplicant-2.6-r3::gentoo" [installed])
(dependency required by "net-misc/wicd-1.7.4-r3::gentoo" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])

emerge: there are no ebuilds built with USE flags to satisfy ">=dev-python/appdirs-1.4.0-r1[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,
-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),
-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]".
!!! One of the following packages is required to complete your request:
- dev-python/appdirs-1.4.3::gentoo (Change USE: +python_targets_python3_4)
- dev-python/setuptools-34.0.2-r1::gentoo (Change USE: -python_targets_python3_4)
(dependency required by "dev-python/setuptools-34.0.2-r1::gentoo" [installed])
(dependency required by "dev-python/m2crypto-0.24.0::gentoo" [installed])
(dependency required by "net-wireless/crda-3.18-r1::gentoo" [installed])
(dependency required by "net-wireless/wpa_supplicant-2.6-r3::gentoo" [installed])
(dependency required by "net-misc/wicd-1.7.4-r3::gentoo" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])

emerge: there are no ebuilds built with USE flags to satisfy ">=dev-python/packaging-16.8[python_targets_pypy(-)?,python_targets_pypy3(-)?,python_targets_python2_7(-)?,
python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,
-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python2_7(-),
-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]".
!!! One of the following packages is required to complete your request:
- dev-python/packaging-16.8::gentoo (Change USE: +python_targets_python3_4)
- dev-python/setuptools-34.0.2-r1::gentoo (Change USE: -python_targets_python3_4)
(dependency required by "dev-python/setuptools-34.0.2-r1::gentoo" [installed])
(dependency required by "dev-python/m2crypto-0.24.0::gentoo" [installed])
(dependency required by "net-wireless/crda-3.18-r1::gentoo" [installed])
(dependency required by "net-wireless/wpa_supplicant-2.6-r3::gentoo" [installed])
(dependency required by "net-misc/wicd-1.7.4-r3::gentoo" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])


[Moderator edit: broke long whitespace-free lines in code tags to fix thread layout. -Hu]
Back to top
View user's profile Send private message
The_Great_Sephiroth
Veteran
Veteran


Joined: 03 Oct 2014
Posts: 1364
Location: Fayetteville, NC, USA

PostPosted: Wed Nov 29, 2017 2:45 pm    Post subject: Reply with quote

The Python setuptools package was the cause of this for me. It seems Python 3.5 is a mess. One thing requires another which requires another, but they're not pulled and/or built in the correct order. I solved this by doing "emerge --resume" repeatedly until all of the prerequisites were built and then everything went smoothly.
_________________
Ever picture systemd as what runs "The Borg"?
Back to top
View user's profile Send private message
mcbonaman
n00b
n00b


Joined: 15 Mar 2004
Posts: 46

PostPosted: Wed Nov 29, 2017 5:55 pm    Post subject: Reply with quote

Hi, I had a similar issue and solved in the following way:

unmerging setuotools and certifi:
Code:
emerge -avC setuotools
emerge -avC certifi


and reemerging setuptools (certifi will be emerged as dependency):
Code:
emerge -av1 setuptools


Hope it helps.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21799
Location: here

PostPosted: Wed Nov 29, 2017 6:14 pm    Post subject: Reply with quote

But what's the problem? In my two system no problem on python3.5 update.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
mcbonaman
n00b
n00b


Joined: 15 Mar 2004
Posts: 46

PostPosted: Wed Nov 29, 2017 11:50 pm    Post subject: Reply with quote

fedeliallalinea wrote:
But what's the problem? In my two system no problem on python3.5 update.

Emerging virtualenv-clone gave me the following error:
Code:
ImportError: No module named 'setuptools'
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21799
Location: here

PostPosted: Thu Nov 30, 2017 8:54 am    Post subject: Reply with quote

mcbonaman wrote:
fedeliallalinea wrote:
But what's the problem? In my two system no problem on python3.5 update.

Emerging virtualenv-clone gave me the following error:
Code:
ImportError: No module named 'setuptools'

I understood that, my point is why in some system update it fails with these problems.
I have two system and upgrade to python3.5 works like a charm.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21799
Location: here

PostPosted: Thu Nov 30, 2017 1:33 pm    Post subject: Reply with quote

fedeliallalinea wrote:
mcbonaman wrote:
fedeliallalinea wrote:
But what's the problem? In my two system no problem on python3.5 update.

Emerging virtualenv-clone gave me the following error:
Code:
ImportError: No module named 'setuptools'

I understood that, my point is why in some system update it fails with these problems.
I have two system and upgrade to python3.5 works like a charm.

Ok now it's clear for me, there are ebuilds with missing dependency
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Xywa
Veteran
Veteran


Joined: 23 Jul 2005
Posts: 1583
Location: /mnt/Gentoo/Europe

PostPosted: Thu Nov 30, 2017 2:01 pm    Post subject: Reply with quote

mcbonaman wrote:
Hi, I had a similar issue and solved in the following way:

unmerging setuotools and certifi:
Code:
emerge -avC setuotools
emerge -avC certifi


and reemerging setuptools (certifi will be emerged as dependency):
Code:
emerge -av1 setuptools


Hope it helps.


Hi,

This works for me, thank you [SOLVED].
Back to top
View user's profile Send private message
Dragonlord
Guru
Guru


Joined: 22 Aug 2004
Posts: 399
Location: Switzerland

PostPosted: Sun Dec 03, 2017 10:49 pm    Post subject: Reply with quote

I can double this python update turning into a huge mess with python 3.5 . So far nothing worked to get past this huge mess turning my system unusable (speaking un-updatable... and this midst in this recent profile-17 migration mess).
_________________
Leader and Head Programmer: Epsylon, Drag[en]gine and others
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum